<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Request Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classRequest-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Request Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="request_8h_source.html">request.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Request:</div>
<div class="dyncontent">
<div class="center"><img src="classRequest__coll__graph.png" border="0" usemap="#Request_coll__map" alt="Collaboration graph"/></div>
<map name="Request_coll__map" id="Request_coll__map">
<area shape="rect" title=" " alt="" coords="15,233,142,355"/>
<area shape="rect" href="classRequestHeader.html" title=" " alt="" coords="5,5,152,171"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adcb4de0b9159115b103f6f6403b9af39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequest.html#adcb4de0b9159115b103f6f6403b9af39">Request</a> (<a class="el" href="classRequestHeader.html">RequestHeader</a> header, const std::string &amp;body, int socket)</td></tr>
<tr class="separator:adcb4de0b9159115b103f6f6403b9af39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae773f518204df6572162d99ac2dba7db"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequest.html#ae773f518204df6572162d99ac2dba7db">getBody</a> () const</td></tr>
<tr class="separator:ae773f518204df6572162d99ac2dba7db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4406da47b6d4108dbb172cec782a06de"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequest.html#a4406da47b6d4108dbb172cec782a06de">getSocketFd</a> () const</td></tr>
<tr class="separator:a4406da47b6d4108dbb172cec782a06de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a328049ffb4351d3823cececf6daf931c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classRequestHeader.html">RequestHeader</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequest.html#a328049ffb4351d3823cececf6daf931c">m_header</a></td></tr>
<tr class="separator:a328049ffb4351d3823cececf6daf931c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab369a4749316d22e59b28b07c52f04ab"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequest.html#ab369a4749316d22e59b28b07c52f04ab">m_body</a></td></tr>
<tr class="separator:ab369a4749316d22e59b28b07c52f04ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cc8561be5abe4141ffe1f69575ac2ec"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequest.html#a9cc8561be5abe4141ffe1f69575ac2ec">m_socket</a></td></tr>
<tr class="separator:a9cc8561be5abe4141ffe1f69575ac2ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adcb4de0b9159115b103f6f6403b9af39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcb4de0b9159115b103f6f6403b9af39">&#9670;&nbsp;</a></span>Request()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Request::Request </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classRequestHeader.html">RequestHeader</a>&#160;</td>
          <td class="paramname"><em>header</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>socket</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae773f518204df6572162d99ac2dba7db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae773f518204df6572162d99ac2dba7db">&#9670;&nbsp;</a></span>getBody()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; Request::getBody </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4406da47b6d4108dbb172cec782a06de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4406da47b6d4108dbb172cec782a06de">&#9670;&nbsp;</a></span>getSocketFd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Request::getSocketFd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab369a4749316d22e59b28b07c52f04ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab369a4749316d22e59b28b07c52f04ab">&#9670;&nbsp;</a></span>m_body</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Request::m_body</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a328049ffb4351d3823cececf6daf931c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a328049ffb4351d3823cececf6daf931c">&#9670;&nbsp;</a></span>m_header</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classRequestHeader.html">RequestHeader</a> Request::m_header</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9cc8561be5abe4141ffe1f69575ac2ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cc8561be5abe4141ffe1f69575ac2ec">&#9670;&nbsp;</a></span>m_socket</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Request::m_socket</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/server/<a class="el" href="request_8h_source.html">request.h</a></li>
<li>backend/src/lib/server/<a class="el" href="request_8cpp.html">request.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
